// gnome.xonotic.in.ua

noshader
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	{
		map noshader.tga
		tcmod scale 1.0 1.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/base_floor/clangdark
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/clangdark.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_floor/clang_floor
{
	surfaceparm metalsteps
	{
		map textures/base_floor/clang_floor.jpg
		rgbgen const ( 1 1 1 )
	}
	{
		map textures/base_floor/clang_floor.jpg
		blendfunc filter
		rgbgen const ( 0.737255 0.737255 0.737255 )
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
}

textures/base_floor/proto_grate4
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/base_floor/proto_grate4.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_light/ceil1_22a
{
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_22a.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_22a.blend.tga
		blendfunc add
	}
}

textures/base_light/proto_lightred2
{
	q3map_lightimage textures/base_light/proto_lightred.tga
	qer_editorimage textures/base_light/proto_lightred.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightred.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightred.tga
		blendfunc add
		rgbgen wave square .5 .5 0 1
	}
}

textures/base_light/xceil1_39
{
	qer_editorimage textures/base_light/ceil1_39.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_wall/glass01
{
	surfaceparm trans
	cull none
	qer_trans 0.5
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	surfaceparm clusterportal
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/watercaulk
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/ct3dm5/amd
{
	surfaceparm nomarks
	qer_editorimage textures/ct3dm5/amd_silver_1024x1024.tga
	nopicmip
	{
		map textures/ct3dm5/amd_silver_1024x1024.tga
	}
}

textures/ct3dm5/autodesk
{
	surfaceparm nomarks
	qer_editorimage textures/ct3dm5/autodesk_black_1024x512.tga
	nopicmip
	{
		map textures/ct3dm5/autodesk_black_1024x512.tga
	}
}

textures/ct3dm5/beam_1_yellow
{
	qer_editorimage textures/ct3dm5/beam_1_yellow.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
	{
		map textures/ct3dm5/beam_1_yellow.tga
		tcmod scroll .3 0
		blendfunc add
	}
}

textures/ct3dm5/crucial
{
	surfaceparm nomarks
	qer_editorimage textures/ct3dm5/crucial_black_1024x512.tga
	nopicmip
	{
		map textures/ct3dm5/crucial_black_1024x512.tga
	}
}

textures/ct3dm5/eq2_alphawires
{
	qer_editorimage textures/ct3dm5/eq2_wires_01.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/ct3dm5/eq2_wires_01.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/ct3dm5/eq2_banner
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	tesssize 64
	deformvertexes wave 30 sin 0 2 0 .2
	deformvertexes wave 100 sin 0 2 0 .7
	{
		map textures/ct3dm5/eq2_banner.tga
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/ct3dm5/eq2_bounce
{
	qer_editorimage textures/ct3dm5/eq2_bounce.tga
	{
		map textures/ct3dm5/eq2_bounce.tga
		rgbgen identity
	}
	{
		clampmap textures/ct3dm5/eq2_bouncefan.tga
		tcmod rotate 512
		blendfunc blend
		depthwrite
		rgbgen identity
	}
	{
		map textures/ct3dm5/eq2_bounce.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ct3dm5/eq2lt_baselt03
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightimage textures/ct3dm5/eq2_baselt03.blend.tga
	qer_editorimage textures/ct3dm5/eq2_baselt03.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ct3dm5/eq2_baselt03.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ct3dm5/eq2_baselt03.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ct3dm5/eq2lt_baselt03b
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightimage textures/ct3dm5/eq2_baselt03b.blend.tga
	qer_editorimage textures/ct3dm5/eq2_baselt03b.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ct3dm5/eq2_baselt03b.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ct3dm5/eq2_baselt03b.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ct3dm5/eq2lt_bmtl03light_300
{
	surfaceparm nomarks
	q3map_surfacelight 300
	qer_editorimage textures/ct3dm5/eq2_bmtl_03_light.tga
	q3map_lightimage textures/ct3dm5/eq2_bmtl_03_light.blend.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ct3dm5/eq2_bmtl_03_light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ct3dm5/eq2_bmtl_03_light.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ct3dm5/eq2lt_clight_10k
{
	surfaceparm nomarks
	q3map_surfacelight 10000
	q3map_lightimage textures/ct3dm5/eq2_32caplight.blend.tga
	qer_editorimage textures/ct3dm5/eq2_32caplight.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ct3dm5/eq2_32caplight.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ct3dm5/eq2_32caplight.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ct3dm5/eq2lt_clight_8k
{
	surfaceparm nomarks
	q3map_surfacelight 8000
	q3map_lightimage textures/ct3dm5/eq2_32caplight.blend.tga
	qer_editorimage textures/ct3dm5/eq2_32caplight.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ct3dm5/eq2_32caplight.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ct3dm5/eq2_32caplight.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ct3dm5/eq2lt_spawnlite_3k
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightimage textures/ct3dm5/eq2_weap_spawnlite.blend.tga
	qer_editorimage textures/ct3dm5/eq2_weap_spawnlite.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ct3dm5/eq2_weap_spawnlite.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ct3dm5/eq2_weap_spawnlite.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ct3dm5/eq2lt_trimlight_s_3k
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/ct3dm5/eq2_trimlight_01s.blend.tga
	qer_editorimage textures/ct3dm5/eq2_trimlight_01s.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ct3dm5/eq2_trimlight_01s.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ct3dm5/eq2_trimlight_01s.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ct3dm5/eq2lt_wallbig_01b_1000
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	q3map_lightsubdivide 32
	qer_editorimage textures/ct3dm5/eq2_wallbig_01b.tga
	q3map_lightimage textures/ct3dm5/eq2_wallbig_01.blend.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ct3dm5/eq2_wallbig_01b.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ct3dm5/eq2_wallbig_01.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ct3dm5/eq2lt_walllight512_300
{
	surfaceparm nomarks
	q3map_surfacelight 300
	qer_editorimage textures/ct3dm5/eq2_walllight_512.tga
	q3map_lightimage textures/ct3dm5/eq2_walllight_512.blend.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ct3dm5/eq2_walllight_512.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ct3dm5/eq2_walllight_512.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ct3dm5/eq2_telepanel
{
	qer_editorimage textures/ct3dm5/eq2_telepanel.tga
	q3map_lightimage textures/ct3dm5/eq2_telegoo.tga
	q3map_surfacelight 25
	{
		map textures/ct3dm5/eq2_telegoo.tga
		rgbgen identity
		tcmod turb 0 0.1 0 0.2
	}
	{
		map textures/ct3dm5/eq2_telepanel.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
}

textures/ct3dm5/fence
{
	qer_editorimage textures/base_trim/proto_fence.tga
	surfaceparm trans
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	nopicmip
	{
		map textures/base_trim/proto_fence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ct3dm5/flare_red
{
	qer_editorimage textures/ct3dm5/flare_red.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans 0.5
	cull none
	deformvertexes autosprite
	{
		map textures/ct3dm5/flare_red.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbgen identity
	}
}

textures/ct3dm5/flare_yellow
{
	qer_editorimage textures/ct3dm5/flare_yellow.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans 0.5
	cull none
	deformvertexes autosprite
	{
		map textures/ct3dm5/flare_yellow.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbgen identity
	}
}

textures/ct3dm5/hellfog
{
	qer_editorimage textures/sfx/fog_grey.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nodrop
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( .40 .06 .01 ) 460
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/ct3dm5/lava_1000
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 1000
	cull disable
	tesssize 128
	cull disable
	deformvertexes wave 10 sin 3 2 .1 0.1
	{
		map textures/liquids/lavahell.tga
		tcmod turb 0 .2 0 .1
	}
}

textures/ct3dm5/msg
{
	surfaceparm nomarks
	qer_editorimage textures/ct3dm5/maverickservers_1024x512.tga
	nopicmip
	{
		map textures/ct3dm5/maverickservers_1024x512.tga
	}
}

textures/ct3dm5/pillamyd_sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_globaltexture
	q3map_sun 1 .6 .2 40 300 60
	q3map_surfacelight 50
	qer_editorimage textures/ct3dm5/env/nubian5.tga
	skyparms textures/ct3dm5/env/el3dm4 768 -
}

textures/ct3dm5/planetside
{
	surfaceparm nomarks
	qer_editorimage textures/ct3dm5/planetside_silver_1024x512.tga
	nopicmip
	{
		map textures/ct3dm5/planetside_silver_1024x512.tga
	}
}

textures/ct3dm5/rock2
{
	qer_editorimage textures/ct3dm5/rock/stone4_b.tga
	q3map_nonplanar
	q3map_shadeangle 90
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ct3dm5/rock/stone4_b.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/ct3dm5/rock_mud
{
	q3map_nonplanar
	q3map_forcemeta
	qer_editorimage textures/common/terrain.tga
	q3map_alphamod dotproduct2 ( 0 0 1 )
	q3map_tcmod rotate 0
	q3map_globaltexture
	q3map_shadeangle 130
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphamod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/ct3dm5/rock/stone4_b.tga
		rgbgen identity
	}
	{
		map textures/ct3dm5/rock/ter_mud1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen vertex
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/ct3dm5/sapphire
{
	surfaceparm nomarks
	qer_editorimage textures/ct3dm5/sapphire_768x512.tga
	nopicmip
	{
		map textures/ct3dm5/sapphire_768x512.tga
	}
}

textures/ct3dm5/strogg_02b
{
	nopicmip
	polygonoffset
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ct3dm5/strogg_02b.tga
		blendfunc gl_zero gl_one_minus_src_color
	}
}

textures/ct3dm5/water
{
	qer_editorimage textures/ct3dm5/tele1.tga
	q3map_globaltexture
	surfaceparm nonsolid
	surfaceparm water
	q3map_surfacelight 100
	nopicmip
	surfaceparm fog
	fogparms ( .255 .220 .150 ) 2042
	deformvertexes wave 64 sin .5 .5 0 .5
	{
		map textures/ct3dm5/tele1.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1 0 1 1 1 2
		tcmod scroll -.01 .001
	}
	{
		map textures/ct3dm5/tele2.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1 1 1 2 1
		tcmod scroll .002 -.001
	}
	{
		map textures/ct3dm5/tele3.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .01
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sfx/fan
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	nopicmip
	{
		clampmap textures/sfx/fan.tga
		tcmod rotate 256
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/sfx/xblackfog
{
	qer_editorimage textures/sfx/blackness.tga
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0 0 0 ) 128
}

textures/terrain_soc/alpha_000
{
	qer_editorimage textures/terrain_soc/alpha_000.tga
	q3map_alphamod volume
	q3map_alphamod set 0.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}

textures/terrain_soc/alpha_025
{
	qer_editorimage textures/terrain_soc/alpha_025.tga
	q3map_alphamod volume
	q3map_alphamod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}

textures/terrain_soc/alpha_050
{
	qer_editorimage textures/terrain_soc/alpha_050.tga
	q3map_alphamod volume
	q3map_alphamod set 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}

